Bug 167056 - HAL does not start when booting FC4, and is not able to start afterwards.
HAL does not start when booting FC4, and is not able to start afterwards.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 17:08 EDT by Trond Husoe
Modified: 2013-03-05 22:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 23:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Husoe 2005-08-29 17:08:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When booting Fedora Core 4 HAL does not start. When trying to start it from command line with /usr/sbin/hald --daemon=no --verbose=yes 
I get the errors below.
# /usr/sbin/hald --daemon=no --verbose=yes 22:58:14.573 [I] hald.c:494: hal 0.5.3
22:58:14.573 [I] hald.c:498: Will not daemonize
22:58:14.574 [I] hald_dbus.c:2772: local server is listening at unix:abstract=/tmp/hald-local/dbus-AV0A3RLXzT,guid=e6761343a6b0f74e944a30eebf863b00
Error binding to /var/run/hal/hotplug_socket2: Address already in use
Machine also has trouble rebooting, having hangs a bit on getting hostname and sometimes just hangs in gui. 
Never had this problems before upgrading kernel with Yum.

Took haldaemon out of boot with system-config-services , and started hald the same way. Then got it started, but was unable to stop it with ctrl+c.

Version-Release number of selected component (if applicable):
2.6.12-1.1447_FC4 / hal-0.5.3-4

How reproducible:
Always

Steps to Reproduce:
1. Update kernel with yum.
2. Reboot
3. Run /usr/sbin/hald --daemon=no --verbose=yes
  

Actual Results:  # /usr/sbin/hald --daemon=no --verbose=yes 22:58:14.573 [I] hald.c:494: hal 0.5.3
22:58:14.573 [I] hald.c:498: Will not daemonize
22:58:14.574 [I] hald_dbus.c:2772: local server is listening at unix:abstract=/tmp/hald-local/dbus-AV0A3RLXzT,guid=e6761343a6b0f74e944a30eebf863b00
Error binding to /var/run/hal/hotplug_socket2: Address already in use

Expected Results:  I guess hal should have started normally.

Additional info:

I think the problem is connected with the new kernel that was released.
Comment 1 Trond Husoe 2005-09-03 14:26:27 EDT
Started up using the previous kernel and now haldaemon starts up and works
properly. Again, I think this has something to do with the fact that the kernel
was updated.

I am now running 2.6.12-1.1398_FC4
Comment 2 Christian Iseli 2007-01-22 06:25:19 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-02-20 23:37:02 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.